# pro-archman
# src/cmd/remove-suite.sh
# "remove-suite" command
#
# Copyright (C) 2013  Patrick McDermott
#
# This file is part of the ProteanOS Archive Manager.
#
# The ProteanOS Archive Manager is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Archive Manager is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Archive Manager.  If not, see
# <http://www.gnu.org/licenses/>.

cmd_remove_suite_main()
{
	local suite="${1}"
	shift 1
	local chan=
	local dist=

	init

	chan="${suite%/*}"
	dist="${suite##*/}"
	if [ "x${chan}" = "x${suite}" ]; then
		chan="${conf_incoming_channel}"
	fi

	remove_suite "${chan}" "${dist}"

	fini

	return 0
}

cmd_remove_suite_register()
{
	register_cmd 'remove-suite'
}
__init cmd_remove_suite_register
